opencolorio (2.5.1+dfsg-2) experimental; urgency=medium

  * debian/copyright: new field added

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 12 Mar 2026 20:53:27 +0100

opencolorio (2.5.1+dfsg-1) experimental; urgency=medium

  [ Matteo F. Vescovi ]
  * New upstream release (Closes: #1125416)
    This release addresses CVE-2025-15506:
    | A vulnerability was found in AcademySoftwareFoundation OpenColorIO
    | up to 2.5.0. This issue affects the function
    | ConvertToRegularExpression of the file
    | src/OpenColorIO/FileRules.cpp. Performing a manipulation results in
    | out-of-bounds read. The attack needs to be approached locally. The
    | exploit has been made public and could be used.
  * debian/: SONAME bump 2.1 -> 2.5
  * debian/control:
    - b-dep switch pkg-config -> pkgconf
    - libminizip-ng-dev b-dep added
    - strict versioning for pystring added
    - S-V bump 4.6.1 -> 4.7.3 (no changes needed)
    - Priority field dropped (obsolete)
    - RRR field dropped (obsolete)
  * debian/watch: v4 -> v5 switch
  * debian/python3-pyopencolorio.install: path fixed
  * debian/libopencolorio2.5.lintian-overrides: file dropped (useless)

  [ Jordan Justen ]
  * d/patches: Update patches for v2.5.1
  * d/rules: Stop deleting Findyaml-cpp.cmake.
    Ref: c075bff0 ("Import Debian changes 2.1.2+dfsg1-4.1")

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 14 Feb 2026 17:26:26 +0100

opencolorio (2.1.3+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062836

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 03:03:29 +0000

opencolorio (2.1.3+dfsg-1.1~exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Lucas Kanashiro <kanashiro@debian.org>  Sat, 03 Feb 2024 16:07:26 -0300

opencolorio (2.1.3+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 06 Sep 2023 20:33:23 +0200

opencolorio (2.1.2+dfsg1-4.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fixup manpage failure (Closes: #1017111)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 26 Aug 2023 16:47:44 +0200

opencolorio (2.1.2+dfsg1-4.1) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Non-maintainer upload.
  * Fix FTBFS with newer yaml-cpp (Closes: #1050366)
  * Update manpages (Closes: #1017111)

  [ Olivier Gayot ]
  * Include header file in binary package (change in d/rules and
    d/python3-pyopencolorio.install) (Closes: #1050570)
  * d/patches/0002-fix-documentation-cmake-syntax.patch Fix generation of
    documentation.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 26 Aug 2023 13:55:36 +0200

opencolorio (2.1.2+dfsg1-4) unstable; urgency=medium

  [ Pino Toscano ]
  * debian/control: update build-dependencies

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 20 Aug 2022 23:39:40 +0200

opencolorio (2.1.2+dfsg1-3) unstable; urgency=medium

  * Upload to unstable

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 18 Aug 2022 19:59:49 +0200

opencolorio (2.1.2+dfsg1-2) experimental; urgency=medium

  * debian/: switch to Imath/OpenEXR 3.x
  * debian/control: python3-imath b-dep added

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 17 Aug 2022 23:47:34 +0200

opencolorio (2.1.2+dfsg1-1) experimental; urgency=medium

  * New upstream release (Closes: #995905, #984276)
    - debian/: SONAME bump 1 -> 2
    - debian/patches/: obsolete patchset dropped
  * debian/:
    - drop documentation binary package
    - M-A support added
  * debian/patches/: patchset updated
    - 0001-Fix_cstring_issue.patch added
  * debian/NEWS: file added
  * debian/watch: path and repacking updated
  * debian/manpages/: manual pages added and updated
  * debian/copyright: paths fixed
  * debian/control:
    - freeglut3-dev b-dep added
    - more missing b-deps added
    - S-V bump 4.5.1 -> 4.6.1 (no changes needed)
    - python3-dev -> python3-dev:any
    - fix upstream URL
    - demote to use IlmBase/OpenEXR 2.x
    - add pybuild-plugin-pyproject b-dep
  * debian/rules:
    - CMAKE_BUILD_TYPE parameter added
    - drop useless repack variable
    - avoid building external packages
    - hard set for pystring headers directory
    - drop obsolete settings on Python
    - bump CMAKE_CXX_STANDARD to 17
    - add and re-arrange exports and variables
    - explicitly define OpenEXR Half usage
    - drop documentation moving
    - drop auto clean overriding
    - static libraries dropped
    - documentation files removal dropped

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 11 Aug 2022 23:46:16 +0200

opencolorio (1.1.1~dfsg0-7) unstable; urgency=medium

  * debian/control:
    - debhelper bump 12 -> 13
    - S-V bump 4.5.0 -> 4.5.1 (no changes needed)
    - missing build-dep libopenexr-dev added (Closes: #976566)
  * debian/watch: version bump 3 -> 4
  * debian/rules: drop useless script
  * debian/libopencolorio-dev.install: install cmake helpers

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 17 Dec 2020 23:58:56 +0100

opencolorio (1.1.1~dfsg0-6) unstable; urgency=medium

  * debian/python3-pyopencolorio.install: drop version-specific
    python path (Closes: #949917)
  * debian/control: S-V bump 4.4.1 -> 4.5.0 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 27 Feb 2020 09:51:52 +0100

opencolorio (1.1.1~dfsg0-5) unstable; urgency=medium

  * debian/rules: pyclean -> py3clean

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 07 Dec 2019 14:31:30 +0100

opencolorio (1.1.1~dfsg0-4) unstable; urgency=medium

  * debian/: py2 -> py3 migration (Closes: #937196)
  * debian/compat: dropped due to debhelper 12
  * debian/control: S-V bump 4.4.0 -> 4.4.1 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 05 Dec 2019 17:39:54 +0100

opencolorio (1.1.1~dfsg0-3) unstable; urgency=medium

  * debian/control:
    - S-V bump 4.3.0 -> 4.4.0 (no changes needed)
    - switch to texlive-plain-generic as b-dep (Closes: #933289)

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 05 Aug 2019 22:52:38 +0200

opencolorio (1.1.1~dfsg0-2) unstable; urgency=medium

  * Upload to unstable

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 08 Jul 2019 15:16:46 +0200

opencolorio (1.1.1~dfsg0-1) experimental; urgency=medium

  * New upstream release
    - debian/patches/: patchset updated
  * debian/: repacking method improved

 -- Matteo F. Vescovi <mfv@debian.org>  Tue, 09 Apr 2019 23:26:50 +0200

opencolorio (1.1.0~dfsg0-5) unstable; urgency=medium

  * debian/control: circular dependency on OIIO broken

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 01 Mar 2019 10:05:12 +0100

opencolorio (1.1.0~dfsg0-4) unstable; urgency=medium

  * debian/patches/: patchset updated (Closes: #918768)
    - 0006-Fix_build_with_yaml-cpp0.6.patch added
  * debian/: debhelper bump 11 -> 12
  * debian/control: move texlive stuff to B-D-I
  * debian/rules: get rid of get-orig-source directive

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 09 Jan 2019 21:46:00 +0100

opencolorio (1.1.0~dfsg0-3) unstable; urgency=medium

  * debian/patches/: patchset updated
    - 0003-Fix_FTBFS_on_Linux.patch refreshed
    - 0005-Fix_build_with_OIIO2.patch added
  * debian/control:
    - S-V bump 4.1.4 -> 4.3.0 (no changes needed)
    - X-Python-Version field dropped
    - OIIO b-dep version bumped to v2.0.0

 -- Matteo F. Vescovi <mfv@debian.org>  Tue, 01 Jan 2019 15:32:14 +0100

opencolorio (1.1.0~dfsg0-2) unstable; urgency=medium

  * debian/patches/: patchset updated
    - 0004-Fix_build_with_GCC-8.patch added (Closes: #897825)
  * debian/docs: update README.md file name
  * debian/: debhelper bump 10 -> 11
  * debian/control: S-V bump 4.1.3 -> 4.1.4 (no changes needed)
  * debian/control: Vcs-* fields pointing to salsa
  * debian/rules: drop obsolete '--parallel' parameter

 -- Matteo F. Vescovi <mfv@debian.org>  Sun, 01 Jul 2018 15:40:39 +0200

opencolorio (1.1.0~dfsg0-1) unstable; urgency=medium

  * New upstream release
    - debian/patches/: patchset updated against v1.1.0
      - 0003-Fix_FTBFS_on_Linux.patch added
  * debian/control: bump libyaml-cpp build-dependency
  * debian/control: S-V bump 4.1.1 -> 4.1.3 (no changes needed)
  * debian/copyright: http:// -> https:// for copyright format

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 19 Jan 2018 14:30:25 +0100

opencolorio (1.0.9~dfsg0-12) unstable; urgency=medium

  * debian/: dh bump 9 -> 10
  * debian/control:
    - S-V bump 4.0.0 -> 4.1.1 (no changes needed)
    - Qt4 -> Qt5 migration (Closes: #875069)
  * debian/opencolorio-doc.doc-base: fix documentation path
  * debian/watch: enable repacking at uscan time

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 30 Nov 2017 21:07:32 +0100

opencolorio (1.0.9~dfsg0-11) unstable; urgency=medium

  * Upload to unstable
  * debian/control: S-V bump 3.9.8 => 4.0.0 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 22 Jun 2017 17:35:36 +0200

opencolorio (1.0.9~dfsg0-10) experimental; urgency=medium

  * debian/control: drop OpenImageIO as b-dep for failing architectures
  * Revert "debian/rules: circular dependency breakage"
    This change was ineffective in the attempt to break
    the circular dependency affecting OIIO and OCIO.

 -- Matteo F. Vescovi <mfv@debian.org>  Sun, 11 Dec 2016 14:19:46 +0100

opencolorio (1.0.9~dfsg0-9) experimental; urgency=medium

  * debian/rules: circular dependency breakage on
                  powerpcspe and sh4 architectures

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 10 Dec 2016 14:23:12 +0100

opencolorio (1.0.9~dfsg0-8) experimental; urgency=medium

  * debian/patches/: patchset updated
    - 0002-Fix_FTBFS_on_kFreeBSD.patch and
      0003-Fix_FTBFS_on_Hurd.patch merged in
      new 0002-Fix_FTBFS_on_non-Linux_platforms.patch

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 09 Dec 2016 22:30:45 +0100

opencolorio (1.0.9~dfsg0-7) experimental; urgency=medium

  * debian/patches/: patchset updated
    - 0003-Fix_FTBFS_on_Hurd.patch added
      Thanks to Pino Toscano (pino) for the patch.

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 08 Dec 2016 14:57:49 +0100

opencolorio (1.0.9~dfsg0-6) unstable; urgency=medium

  * debian/control: texlive-generic-extra b-dep added (Closes: #828621)
  * debian/control: dh-python b-dep added
  * debian/control: "Section" field dropped for libopencolorio1v5
  * debian/control: S-V bump 3.9.7 -> 3.9.8 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 27 Jul 2016 13:35:45 +0200

opencolorio (1.0.9~dfsg0-5) unstable; urgency=medium

  * debian/control: libopenimageio-dev b-dep re-added (Closes: #801426)
  * debian/control: S-V bump 3.9.6 -> 3.9.7 (no changes needed)
  * debian/control: Vcs-* fields updated to use https://

 -- Matteo F. Vescovi <mfv@debian.org>  Tue, 23 Feb 2016 14:08:53 +0100

opencolorio (1.0.9~dfsg0-4) unstable; urgency=medium

  * debian/: fix g++-5 ABI transition issue (Closes: #796925)
  * debian/control:
    - libopenimageio-dev b-dep dropped
    - Uploader e-mail address updated
  * debian/copyright: S-V bump 3.9.5 => 3.9.6 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 03 Sep 2015 13:55:34 +0200

opencolorio (1.0.9~dfsg0-3) unstable; urgency=medium

  * debian/control: Priority bump - extra => optional (Closes: #761332)

 -- Matteo F. Vescovi <mfvescovi@gmail.com>  Sat, 13 Sep 2014 09:31:28 +0200

opencolorio (1.0.9~dfsg0-2) unstable; urgency=medium

  * debian/patches/: patchset updated
    - 0002-Fix_FTBFS_on_kFreeBSD.patch added

 -- Matteo F. Vescovi <mfvescovi@gmail.com>  Tue, 24 Jun 2014 18:11:46 +0200

opencolorio (1.0.9~dfsg0-1) unstable; urgency=low

  * New upstream release
    - debian/rules: dh_auto_test overridden
    - debian/patches/: patchset updated
      - 0001-Fix_built-in_documentation_dependencies.patch refreshed
  * debian/control: Uploader e-mail address updated
  * debian/control: S-V 3.9.4 => 3.9.5 (no changes needed)

 -- Matteo F. Vescovi <mfvescovi@gmail.com>  Fri, 06 Jun 2014 09:57:28 +0200

opencolorio (1.0.8~dfsg0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-depend on libboost-dev (Closes: #725533)
  * Build-depend on yaml-cpp0.3, instead of yaml-cpp (0.5).
  * Apply patch from Petr Salinger to fix FTBFS on kFreeBSD (Closes: #719173)

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 28 Dec 2013 13:21:02 +0000

opencolorio (1.0.8~dfsg0-2) unstable; urgency=low

  * debian/rules: get-orig-source stuff added
  * debian/rules: useless dh addon removed
  * debian/rules: License.txt duplicate removed
  * debian/rules: SSE optimization disabled (Closes: #719174)
  * debian/libopencolorio1.symbols: file removed (Closes: #719175)

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Tue, 20 Aug 2013 10:53:19 +0200

opencolorio (1.0.8~dfsg0-1) unstable; urgency=low

  * Initial release (Closes: #700676)

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Wed, 12 Jun 2013 14:54:06 +0200
